com.google.gwt.user.client.ui

## Class DecoratedTabPanel

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - com.google.gwt.user.client.ui.TabPanel
        - - com.google.gwt.user.client.ui.DecoratedTabPanel

- All Implemented Interfaces:
    HasAttachHandlers, HasBeforeSelectionHandlers<java.lang.Integer>, HasSelectionHandlers<java.lang.Integer>, HasHandlers, EventListener, HasAnimation, HasVisibility, HasWidgets, IndexedPanel, IndexedPanel.ForIsWidget, IsRenderable, IsWidget, SourcesTabEvents, TabListener, java.lang.Iterable<Widget>

      public class DecoratedTabPanel
      extends TabPanel

  A `TabPanel` that uses a `DecoratedTabBar` with rounded corners.

  This widget will only work in quirks mode. If your application is in Standards Mode, use `TabLayoutPanel` instead.

  ### CSS Style Rules

  - .gwt-DecoratedTabPanel { the tab panel itself }
  - .gwt-TabPanelBottom { the bottom section of the tab panel (the deck containing the widget) }

  ### Example

  >     public class TabPanelExample implements EntryPoint {

  >       public void onModuleLoad() {
  >         // Create a tab panel with three tabs, each of which displays a different
  >         // piece of text.
  >         TabPanel tp = new TabPanel();
  >         tp.add(new HTML("Foo"), "foo");
  >         tp.add(new HTML("Bar"), "bar");
  >         tp.add(new HTML("Baz"), "baz");

  >         // Show the 'bar' tab initially.
  >         tp.selectTab(1);

  >         // Add it to the root panel.
  >         RootPanel.get().add(tp);
  >       }
  >     }

  See Also:
    `TabLayoutPanel`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

      `HasWidgets.ForIsWidget`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.Widget

      `eventsToSink`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecoratedTabPanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SimplePanel` | `createTabTextWrapper()` Create a `SimplePanel` that will wrap the contents in a tab.

    - ### Methods inherited from class com.google.gwt.user.client.ui.TabPanel

      `add, add, add, add, add, add, add, addBeforeSelectionHandler, addSelectionHandler, addTabListener, clear, getDeckPanel, getTabBar, getWidget, getWidgetCount, getWidgetIndex, getWidgetIndex, insert, insert, insert, insert, insert, insert, isAnimationEnabled, iterator, onBeforeTabSelected, onEnsureDebugId, onTabSelected, remove, remove, removeTabListener, selectTab, selectTab, setAnimationEnabled`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### DecoratedTabPanel

          public DecoratedTabPanel()

  - ### Method Detail

    - #### createTabTextWrapper

          protected SimplePanel createTabTextWrapper()

      Description copied from class: `TabPanel`
      Create a `SimplePanel` that will wrap the contents in a tab. Subclasses can use this method to wrap tabs in decorator panels.
      Overrides:
        `createTabTextWrapper` in class `TabPanel`
      Returns:
        a `SimplePanel` to wrap the tab contents, or null to leave tabs unwrapped